This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 510279 - fence_sanbox2 unable to retrieve status of fencing
fence_sanbox2 unable to retrieve status of fencing
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
4
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks: 512947
  Show dependency treegraph
 
Reported: 2009-07-08 10:59 EDT by Johannes Russek
Modified: 2016-04-26 12:18 EDT (History)
5 users (show)

See Also:
Fixed In Version: fence-1.32.68-5.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 512947 (view as bug list)
Environment:
Last Closed: 2011-02-16 11:15:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
addded $t->dump_log("/tmp/dump_log.txt"); to the script (23.13 KB, text/plain)
2009-07-08 10:59 EDT, Johannes Russek
no flags Details
Modified fencing library (15.07 KB, application/octet-stream)
2009-07-30 05:03 EDT, Marek Grac
no flags Details
New fencing agent (2.08 KB, application/octet-stream)
2009-07-30 05:05 EDT, Marek Grac
no flags Details

  None (edit)
Description Johannes Russek 2009-07-08 10:59:19 EDT
Created attachment 350948 [details]
addded $t->dump_log("/tmp/dump_log.txt"); to the script

using fence_sanbox2 to fence cluster nodes from qlogic sanbox2 fabric, fencing always fails because the script has issues interpreting the output of the telnet sesssion.

Version-Release number of selected component (if applicable):

cman-2.0.98-1.el5_3.4

How reproducible:

fence any port on a sanbox switch, if you check with telnet/snmp, the port will be disabled, but fencing still fails.

Additional info:

attached is a dump_log session output of Net::Telnet, reading through it, it appears as if the fancing agent just dumps the command and doesn't wait for what the switch returns to the commands.
I've removed the line with our password on it :)
Comment 1 Marek Grac 2009-07-30 05:03:55 EDT
Created attachment 355650 [details]
Modified fencing library
Comment 2 Marek Grac 2009-07-30 05:05:05 EDT
Created attachment 355651 [details]
New fencing agent

New fencing agent for sanbox2 built on fencing library. Status works for me (and I was not to test enable/disable yet). Feel free to test.
Comment 5 errata-xmlrpc 2011-02-16 11:15:02 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0266.html

Note You need to log in before you can comment on or make changes to this bug.